Updating libraries on Edison

Updating libraries on Edison

When I choose the "Update libraries on board" option within the XDK environment, I get the following errors: Starting xdk-daemon now! Intel XDK - IoT App Daemon v0.0.37 - commands: run, list, debug, status Upgrading upm on root from 0.1.9-r0 to 0.4.1... Collected errors: * satisfy_dependencies_for: Cannot satisfy the following dependencies for upm: * mraa (>= 0.8.0) * * opkg_install_cmd: Cannot install package upm. install done Installing mraa (0.9.0) to root... Collected errors: * check_data_file_clashes: Package mraa wants to install file /usr/lib/python2.7/site-packages/mraa.py But that file is already provided by package * libmraa0 * check_data_file_clashes: Package mraa wants to install file /usr/lib/python2.7/site-packages/_mraa.so But that file is already provided by package * libmraa0 * check_data_file_clashes: Package mraa wants to install file /usr/lib/libmraa.so.0 But that file is already provided by package * libmraa0 * check_data_file_clashes: Package mraa wants to install file /usr/lib/node_modules/mraa/package.json But that file is already provided by package * libmraa0 * check_data_file_clashes: Package mraa wants to install file /usr/lib/node_modules/mraa/mraa.node But that file is already provided by package * libmraa0 * opkg_install_cmd: Cannot install package mraa. install done Installing upm (0.4.1) to root... Installing mraa (0.9.0) to root... Collected errors: * opkg_download_pkg: Package mraa is not available from any configured src. * opkg_install_pkg: Failed to download mraa. Perhaps you need to run 'opkg update'? * opkg_install_cmd: Cannot install package upm. install done

5 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

I recommend that you upgrade the Intel xdk-daemon first. You can do this via the "Manage your daemon/IoT device" drop down menu then click the Upgrade Intel xdk-daemon on IoT device option.

Hi Elroy

thank for solution, it's worked for me

 

I get the following error when trying to run my program on Edison;

You must update your daemon to at least version 0.1.3 to use this version of the Intel XDK IoT Edition

When I go to update, it comes up with this:

Could not read daemon from download server (an update may not be available for your board) - url was http://download.xdk.intel.com/iot/xdk-daemon-0.1.4-ia32-node-0.12.x.tar.bz2

Any ideas on what I can do here?

Are you using version 3400 of the XDK IoT Edition?

Leave a Comment

Please sign in to add a comment. Not a member? Join today